# 13 Février 2023

Nous nous sommes réunis ce **Lundi 13 Février** pour une première entre-vue et pour discuter de notre vision vis à vis du projet.

Nous avons pu discuter de plusieurs choses, notament:

- Methode pour travailler en équipe
- Structure du projet
- Petite explication du fonctionnement de git
- Brainstorming des idées du jeu

## Projet d'équipe

Pour travailler en équipe nous allons utiliser gitea (équivalent à github) hosté par Anthony. (juste parce qu'il n'aime pas Microsoft)
Le projet est donc hosté à [cette addresse](http://git.herisson.ovh/undefined_name/School_Project.git). Il est dans un premier temps privé car d'autre membres de l'école
sont sur cette instance de gitea et ca serait dommage de leurs donner toutes nos idées!

L'avantage de gitea est que nous pouvons utiliser une vue kanban des issues, ce qui nous permetterais de nous organiser plus facilement et de voir l'avancement
du projet!

Nous avons également accés à ce Journal de bord à l'addresse (school.debucquoy.me)[http://school.debucquoy.me] sur un nom de domaine appartenant déjà à anthony qui nous
évide de payer un nouveau nom de domaine dans un premier temps

Ce journal de bord devrais contenir tout les points important du dévelopement du projet ainsi que les rapports des différentes réunions.
Il nous sera autant utile pour améliorer notre structure et ne pas oublier des points précédament dit que pour les correcteurs voulants "aprécier" notre méthode de travaille

## Idées

Les premières idées du jeu ont pu être trouvée mais ne sont absolument pas fixe et pourrons donc être modifié à volonté lors du dévelopement.

Le but serait de rendre le jeu plus intéréssant en y implémentant une histoire un peut intéréssante. (comme un visual novel)
L'histoire serait qu'un étudiant sur le point d'emménager dans un nouvel appartement doit donc ranger ses affaire dans un premier temps

Nous aurions donc:
1) Level 1-10: Rangement des affaires dans des cartons
2) Level 11-20: Rangement des cartons dans un camion
3) Level 21-30: Rangement des nouvelles affaires dans un camion

La représenations des pièces se ferait à l'aide d'éléments dans des matrices. Nous devons donc trouver un moyen de sauvegarder les différent niveau.

## Easter Egg

**Attention ne pas lire ce qui suit et passer directement au prochain chapitre pour ne pas être spoiler de ce potentiel easter-egg**

Une idée d'easter-egg que nous pourrions implémenter dans le jeu si nous avons le temps serait de transformer le jeu en Tetris (car les pièces sont trés resemblantes)
et pour activer cet easter-egg, il faudrait lors des derniers niveau utiliser le bureau à placer d'une certaine manière pas encore définie. comme si nous jouions sur le pc
du bureau

## Objectif pour la prochaine entre-vue / réunion

Etant donnée que le java n'est pas encore un acquis pour tous, nous allons commencer par des prototypes en python.
Ces prototypes n'ont pas besoin d'être trés complexe puisque le but est de représenter une seule fonctionnalitée du jeu et
de le faire bien. ainsi lors du dévelopement on pourrait traduire nos code de python à java en ayant déjà une vision plus aboutie
du dévelopement

Dans un premier temps donc, nous allons faire des prototypes de parties du jeu chaquns pour soi puis les mettre dans [le dossier prototype](https://git.herisson.ovh/undefined_name/School_Project/src/branch/master/prototypes)
du repo. Vu que chaques modifications de la master branche du repo doivent être aprouvée par les 3 membres, celà va permettre à chaquns d'entre nous de donner un
avis constructifs sur les prototypes fait ce qui peut nous permettre de nous améliorer

